// Margin to all directions
.m-0 {
    margin: 0 !important;
}

.m-1 {
    margin: @grid-gutter-width/6 !important;
}

.m-2 {
    margin: @grid-gutter-width/3 !important;
}

.m-3 {
    margin: @grid-gutter-width/2 !important;
}

.m-4 {
    margin: @grid-gutter-width/1.5 !important;
}

.m-5 {
    margin: @grid-gutter-width !important;
}

.m-6 {
    margin: @grid-gutter-width*2 !important;
}

.m-7 {
    margin: @grid-gutter-width*3 !important;
}
// ---------------

// Vertical margin
.my-0 {
    margin-top: 0 !important;
    margin-bottom: 0 !important;
}

.my-1 {
    margin-top: @grid-gutter-width/6 !important;
    margin-bottom: @grid-gutter-width/6 !important;
}

.my-2 {
    margin-top: @grid-gutter-width/3 !important;
    margin-bottom: @grid-gutter-width/3 !important;
}

.my-3 {
    margin-top: @grid-gutter-width/2 !important;
    margin-bottom: @grid-gutter-width/2 !important;
}

.my-4 {
    margin-top: @grid-gutter-width/1.5 !important;
    margin-bottom: @grid-gutter-width/1.5 !important;
}

.my-5 {
    margin-top: @grid-gutter-width !important;
    margin-bottom: @grid-gutter-width !important;
}

.my-6 {
    margin-top: @grid-gutter-width*2 !important;
    margin-bottom: @grid-gutter-width*2 !important;
}

.my-7 {
    margin-top: @grid-gutter-width*3 !important;
    margin-bottom: @grid-gutter-width*3 !important;
}
// -----------------

// Horizontal margin
.mx-0 {
    margin-left: 0 !important;
    margin-right: 0 !important;
}

.mx-1 {
    margin-left: @grid-gutter-width/6 !important;
    margin-right: @grid-gutter-width/6 !important;
}

.mx-2 {
    margin-left: @grid-gutter-width/3 !important;
    margin-right: @grid-gutter-width/3 !important;
}

.mx-3 {
    margin-left: @grid-gutter-width/2 !important;
    margin-right: @grid-gutter-width/2 !important;
}

.mx-4 {
    margin-left: @grid-gutter-width/1.5 !important;
    margin-right: @grid-gutter-width/1.5 !important;
}

.mx-5 {
    margin-left: @grid-gutter-width !important;
    margin-right: @grid-gutter-width !important;
}

.mx-6 {
    margin-left: @grid-gutter-width*2 !important;
    margin-right: @grid-gutter-width*2 !important;
}

.mx-7 {
    margin-left: @grid-gutter-width*3 !important;
    margin-right: @grid-gutter-width*3 !important;
}
// ----------------

// Margin top
.mt-0 {
    margin-top: 0 !important;
}

.mt-1 {
    margin-top: @grid-gutter-width/6 !important;
}

.mt-2 {
    margin-top: @grid-gutter-width/3 !important;
}

.mt-3 {
    margin-top: @grid-gutter-width/2 !important;
}

.mt-4 {
    margin-top: @grid-gutter-width/1.5 !important;
}

.mt-5 {
    margin-top: @grid-gutter-width !important;
}

.mt-6 {
    margin-top: @grid-gutter-width*2 !important;
}

.mt-7 {
    margin-top: @grid-gutter-width*3 !important;
}
// ---------------

// Margin bottom
.mb-0 {
    margin-bottom: 0 !important;
}

.mb-1 {
    margin-bottom: @grid-gutter-width/6 !important;
}

.mb-2 {
    margin-bottom: @grid-gutter-width/3 !important;
}

.mb-3 {
    margin-bottom: @grid-gutter-width/2 !important;
}

.mb-4 {
    margin-bottom: @grid-gutter-width/1.5 !important;
}

.mb-5 {
    margin-bottom: @grid-gutter-width !important;
}

.mb-6 {
    margin-bottom: @grid-gutter-width*2 !important;
}

.mb-7 {
    margin-bottom: @grid-gutter-width*3 !important;
}
// ---------------

// Margin left
.ml-0 {
    margin-left: 0 !important;
}

.ml-1 {
    margin-left: @grid-gutter-width/6 !important;
}

.ml-2 {
    margin-left: @grid-gutter-width/3 !important;
}

.ml-3 {
    margin-left: @grid-gutter-width/2 !important;
}

.ml-4 {
    margin-left: @grid-gutter-width/1.5 !important;
}

.ml-5 {
    margin-left: @grid-gutter-width !important;
}

.ml-6 {
    margin-left: @grid-gutter-width*2 !important;
}

.ml-7 {
    margin-left: @grid-gutter-width*3 !important;
}
// ---------------

// Margin right
.mr-0 {
    margin-right: 0 !important;
}

.mr-1 {
    margin-right: @grid-gutter-width/6 !important;
}

.mr-2 {
    margin-right: @grid-gutter-width/3 !important;
}

.mr-3 {
    margin-right: @grid-gutter-width/2 !important;
}

.mr-4 {
    margin-right: @grid-gutter-width/1.5 !important;
}

.mr-5 {
    margin-right: @grid-gutter-width !important;
}

.mr-6 {
    margin-right: @grid-gutter-width*2 !important;
}

.mr-7 {
    margin-right: @grid-gutter-width*3 !important;
}
// ---------------

// Padding to all directions
.p-0 {
    padding: 0 !important;
}

.p-1 {
    padding: @grid-gutter-width/6 !important;
}

.p-2 {
    padding: @grid-gutter-width/3 !important;
}

.p-3 {
    padding: @grid-gutter-width/2 !important;
}

.p-4 {
    padding: @grid-gutter-width/1.5 !important;
}

.p-5 {
    padding: @grid-gutter-width !important;
}

.p-6 {
    padding: @grid-gutter-width*2 !important;
}

.p-7 {
    padding: @grid-gutter-width*3 !important;
}
// ---------------

// Vertical padding
.py-0 {
    padding-top: 0 !important;
    padding-bottom: 0 !important;
}

.py-1 {
    padding-top: @grid-gutter-width/6 !important;
    padding-bottom: @grid-gutter-width/6 !important;
}

.py-2 {
    padding-top: @grid-gutter-width/3 !important;
    padding-bottom: @grid-gutter-width/3 !important;
}

.py-3 {
    padding-top: @grid-gutter-width/2 !important;
    padding-bottom: @grid-gutter-width/2 !important;
}

.py-4 {
    padding-top: @grid-gutter-width/1.5 !important;
    padding-bottom: @grid-gutter-width/1.5 !important;
}

.py-5 {
    padding-top: @grid-gutter-width !important;
    padding-bottom: @grid-gutter-width !important;
}

.py-6 {
    padding-top: @grid-gutter-width*2 !important;
    padding-bottom: @grid-gutter-width*2 !important;
}

.py-7 {
    padding-top: @grid-gutter-width*3 !important;
    padding-bottom: @grid-gutter-width*3 !important;
}
// -----------------

// Horizontal padding
.px-0 {
    padding-left: 0 !important;
    padding-right: 0 !important;
}

.px-1 {
    padding-left: @grid-gutter-width/6 !important;
    padding-right: @grid-gutter-width/6 !important;
}

.px-2 {
    padding-left: @grid-gutter-width/3 !important;
    padding-right: @grid-gutter-width/3 !important;
}

.px-3 {
    padding-left: @grid-gutter-width/2 !important;
    padding-right: @grid-gutter-width/2 !important;
}

.px-4 {
    padding-left: @grid-gutter-width/1.5 !important;
    padding-right: @grid-gutter-width/1.5 !important;
}

.px-5 {
    padding-left: @grid-gutter-width !important;
    padding-right: @grid-gutter-width !important;
}

.px-5 {
    padding-left: @grid-gutter-width*2 !important;
    padding-right: @grid-gutter-width*2 !important;
}

.px-5 {
    padding-left: @grid-gutter-width*3 !important;
    padding-right: @grid-gutter-width*3 !important;
}
// ----------------

// padding top
.pt-0 {
    padding-top: 0 !important;
}

.pt-1 {
    padding-top: @grid-gutter-width/6 !important;
}

.pt-2 {
    padding-top: @grid-gutter-width/3 !important;
}

.pt-3 {
    padding-top: @grid-gutter-width/2 !important;
}

.pt-4 {
    padding-top: @grid-gutter-width/1.5 !important;
}

.pt-5 {
    padding-top: @grid-gutter-width !important;
}

.pt-6 {
    padding-top: @grid-gutter-width*2 !important;
}

.pt-7 {
    padding-top: @grid-gutter-width*3 !important;
}
// ---------------

// padding bottom
.pb-0 {
    padding-bottom: 0 !important;
}

.pb-1 {
    padding-bottom: @grid-gutter-width/6 !important;
}

.pb-2 {
    padding-bottom: @grid-gutter-width/3 !important;
}

.pb-3 {
    padding-bottom: @grid-gutter-width/2 !important;
}

.pb-4 {
    padding-bottom: @grid-gutter-width/1.5 !important;
}

.pb-5 {
    padding-bottom: @grid-gutter-width !important;
}

.pb-6 {
    padding-bottom: @grid-gutter-width*2 !important;
}

.pb-7 {
    padding-bottom: @grid-gutter-width*3 !important;
}
// ---------------

// padding left
.pl-0 {
    padding-left: 0 !important;
}

.pl-1 {
    padding-left: @grid-gutter-width/6 !important;
}

.pl-2 {
    padding-left: @grid-gutter-width/3 !important;
}

.pl-3 {
    padding-left: @grid-gutter-width/2 !important;
}

.pl-4 {
    padding-left: @grid-gutter-width/1.5 !important;
}

.pl-5 {
    padding-left: @grid-gutter-width !important;
}

.pl-6 {
    padding-left: @grid-gutter-width*2 !important;
}

.pl-7 {
    padding-left: @grid-gutter-width*3 !important;
}
// ---------------

// padding right
.pr-0 {
    padding-right: 0 !important;
}

.pr-1 {
    padding-right: @grid-gutter-width/6 !important;
}

.pr-2 {
    padding-right: @grid-gutter-width/3 !important;
}

.pr-3 {
    padding-right: @grid-gutter-width/2 !important;
}

.pr-4 {
    padding-right: @grid-gutter-width/1.5 !important;
}

.pr-5 {
    padding-right: @grid-gutter-width !important;
}

.pr-6 {
    padding-right: @grid-gutter-width*2 !important;
}

.pr-7 {
    padding-right: @grid-gutter-width*3 !important;
}
// ---------------

.d-flex {
    display: flex !important;
}

.flex-grow-0 {
    flex-grow: 0 !important;
}

.flex-grow-1 {
    flex-grow: 1 !important;
}

.flex-shrink-0 {
    flex-shrink: 0 !important;
}

.flex-shrink-1 {
    flex-shrink: 1 !important;
}

.flex-wrap {
    flex-wrap: wrap !important;
}

.align-items-center {
    align-items: center;
}

.align-items-top {
    align-items: flex-start;
}

.align-items-bottom {
    align-items: flex-end;
}

.align-items-baseline {
    align-items: baseline;
}

.justify-content-between {
    justify-content: space-between;
}

.w-100 {
    width: 100%;
}

.visible-xxs {
    @media (min-width: 500px) {
        display: none !important;
    }
}

.hidden-xxs {
    @media (max-width: 499px) {
        display: none !important;
    }
}
